# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.commands.app import client
from azdata.cli.core.commands import CliCommandGroup


def load_command_table(self, _):
    """Load all app CLI commands by grouping."""

    custom = 'azdata.cli.commands.app.custom#{}'

    with CliCommandGroup(self, 'app', custom,
                         client_factory=client.beget_app) as g:
        g.command('create', 'app_create')
        g.command('update', 'app_update')
        g.command('list', 'app_list', output='table')
        g.command('describe', 'app_describe')
        g.command('delete', 'app_delete')
        g.command('run', 'app_run')

    with CliCommandGroup(self, 'app', custom,
                         client_factory=client.beget_tpl) as g:
        g.command('init', 'app_init')

    with CliCommandGroup(self, 'app template', custom,
                         client_factory=client.beget_tpl) as g:
        g.command('list', 'app_template_list', output='table')
        g.command('pull', 'app_template_pull')
