# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

import os

CONTROL_SERVICE = 'control'
SQL_SERVER_SERVICE = 'sql'
HDFS_SERVICE = 'hdfs'
SPARK_SERVICE = 'spark'
GATEWAY_SERVICE = 'gateway'
APP_SERVICE = 'app'
"""
Names of services
"""

BASE = os.path.dirname(os.path.realpath(__file__))
"""
Base directory
"""

CONFIG_DIR = os.path.join(BASE, 'deployment-configs')
"""
Config directory
"""

HELP_DIR = os.path.join(CONFIG_DIR, 'help')
"""
Help config directory
"""

BDC_CONFIG_FILENAME = 'bdc.json'
"""
Cluster config file name
"""

CONTROL_CONFIG_FILENAME = 'control.json'
"""
Control config file name
"""

CONFIG_FILES = [BDC_CONFIG_FILENAME, CONTROL_CONFIG_FILENAME]
"""
Array of config file names from profiles
"""