from azdata.cli.core.models.kube_resource import (
    MemoryResource,
    CpuResource)

# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

RESOURCE_KIND_11 = "postgresql-11"
"""
Kubernetes resource kind for postgres engine version 11.
"""

RESOURCE_KIND_12 = "postgresql-12"
"""
Kubernetes resource kind for postgres engine version 12.
"""

RESOURCE_CATEGORY = "postgresqls"
"""
Defines the category.
"""

API_GROUP = "arcdata.microsoft.com"
"""
Defines the API group.
"""

API_VERSION = "v1alpha1"
"""
Defines the API version.
"""

COMMAND_UNIMPLEMENTED = "This command is currently unimplemented."
"""
Unimplemented response.
"""

# ------------------------------------------------------------------------------
# Postgres resource constants
# ------------------------------------------------------------------------------
POSTGRES_MIN_MEMORY_SIZE = MemoryResource("256Mi")
POSTGRES_MIN_CORES_SIZE = CpuResource("1")
