from azdata.cli.core.models.kube_resource import (
    MemoryResource,
    CpuResource)

RESOURCE_KIND = "sqlmanagedinstance"
"""
Defines the Kubernetes custom resource kind.
"""

RESOURCE_KIND_PLURAL = "sqlmanagedinstances"
"""
Defines the plural name.
"""

API_GROUP = "sql.arcdata.microsoft.com"
"""
Defines the API group.
"""

API_VERSION = "v1alpha1"
"""
Defines the API version.
"""

# -----------------------------------------------------------------------------------------------------------------
# SQL server related constants
# -----------------------------------------------------------------------------------------------------------------
SQLMI_PASSWORD_CHARS = r'[@_!#$%^&*?/\|:]'
SQLMI_PASSWORD_MIN_LENGTH = 8
SQLMI_PASSWORD_REQUIRED_GROUPS = 3
SQLMI_MIN_MEMORY_SIZE = MemoryResource("2Gi")
SQLMI_MIN_CORES_SIZE = CpuResource("1")
