# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.configuration import Configuration
from importlib import import_module

import gettext
import os


def translate(mod):
    """
    Gets the localized translation of message, based on the current global
    domain, language, and locale directory of the module.
    :param mod: The module namespace containing the locale for translation.
    :return: The localized translation of message, based on the current global
             domain, language, and locale directory alias.
    """
    mod = import_module(mod).__file__
    domain = Configuration().CLI_NAME
    localedir = os.path.join(os.path.abspath(mod), 'locale')
    return gettext.translation(domain, localedir, fallback=True).gettext
